"use strict";
const common_vendor = require("../common/vendor.js");
const _sfc_main = {
  __name: "mySwiper",
  props: ["lbt_list", "height", "isRadius", "indicatorDots"],
  setup(__props) {
    const props = __props;
    const interval = common_vendor.ref(2e3);
    const autoplay = common_vendor.ref(true);
    common_vendor.watch(() => {
      return props.lbt_list;
    }, (val1, val2) => {
    });
    function lbtFunc(item) {
      common_vendor.index.navigateTo({
        url: item.url
      });
      return;
    }
    return (_ctx, _cache) => {
      return {
        a: common_vendor.f(__props.lbt_list, (item, i, i0) => {
          return {
            a: item.image,
            b: common_vendor.o(($event) => lbtFunc(item))
          };
        }),
        b: __props.isRadius ? 1 : "",
        c: common_vendor.s("height: " + __props.height * 2 + "rpx;"),
        d: __props.indicatorDots,
        e: autoplay.value,
        f: interval.value,
        g: _ctx.duration
      };
    };
  }
};
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "F:/项目2023/视力表/vision-record/components/mySwiper.vue"]]);
wx.createComponent(Component);
